package org.jeecg.modules.xcx.user.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.jeecg.modules.xcx.user.req.EditUserReq;
import org.jeecg.modules.xcx.user.req.MyLeasePageReq;

public interface IUserService {

    /**
     * 获取个人信息
     * @param token
     * @return
     */
    Result<?> getUserInfo(String token);

    /**
     * 修改用户
     * @param editUserReq
     * @return
     */
    Result<?> editUserInfo(EditUserReq editUserReq, String token);

    /**
     * 我的租赁
     * @param myLeasePageReq
     * @return
     */
    Result<?> myLeasePage(MyLeasePageReq myLeasePageReq);

    /**
     * 获取客服
     * @return
     */
    Result<?> getCustom();

    /**
     * 获取我的物品里所有租金
     * @param token
     * @return
     */
    Result<?> myLeaseAllDepositPrice(String token);

}
